Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs	(revision 267)
@@ -85,43 +85,44 @@
         /// <returns></returns>
         private string CreateSelectSQL()
         {
-            string strcmd = "SELECT";
+            StringBuilder strcmd = new StringBuilder();
 
-            strcmd += " ConstructionCode";                                  // 工事番号
-            strcmd += ", SeqNo";                                             // 注文書枝番
-            strcmd += ", CompanyCode";                                       // 協力会社コード
-            strcmd += ", DATE_FORMAT(CreateDate, '%Y/%m/%d')";                 // 作成日付
-            strcmd += ", OrderPrice";                                        // 発注金額
-            strcmd += ", DATE_FORMAT(LastRowStringDate, '%Y/%m/%d')";          // 最終行表示文字
+            strcmd.Append("SELECT");
+            strcmd.Append(" ConstructionCode");                                  // 工事番号
+            strcmd.Append(", SeqNo");                                             // 注文書枝番
+            strcmd.Append(", CompanyCode");                                       // 協力会社コード
+            strcmd.Append(", DATE_FORMAT(CreateDate, '%Y/%m/%d')");                 // 作成日付
+            strcmd.Append(", OrderPrice");                                        // 発注金額
+            strcmd.Append(", DATE_FORMAT(LastRowStringDate, '%Y/%m/%d')");          // 最終行表示文字
 
-            strcmd += ", OrderSheetType";                                    // 簡易・本式フラグ
-            strcmd += ", PaymentTerms";                                      // 支払い条件
-            strcmd += ", CashRatio";                                         // 現金割合（％）
-            strcmd += ", BillPeriod";                                        // 手形期間
+            strcmd.Append(", OrderSheetType");                                    // 簡易・本式フラグ
+            strcmd.Append(", PaymentTerms");                                      // 支払い条件
+            strcmd.Append(", CashRatio");                                         // 現金割合（％）
+            strcmd.Append(", BillPeriod");                                        // 手形期間
 
-            strcmd += ", PrePayments";                                       // 前金払
-            strcmd += ", PrePaymentsDays";                                   // 前金払日数
-            strcmd += ", PrePaymentsPrice";                                  // 前金払金額
-            strcmd += ", PartialPayment";                                    // 部分払
-            strcmd += ", PartialPaymentMounth";                              // 部分払締切月
-            strcmd += ", PartialPaymentDay1";                                // 部分払締切日
-            strcmd += ", PartialPaymentDay2";                                // 部分払支払日
-            strcmd += ", PartialPaymentPrice";                               // 部分払金額
-            strcmd += ", CompletionPayment";                                 // 引渡し時の支払
-            strcmd += ", CompletionPaymentDays";                             // 引渡し時の支払日数
-            strcmd += ", CompletionPaymentPrice";                            // 引渡し時の支払金額
-            strcmd += ", LeadEngineerCode";                                  // 主任技術者コード
-            strcmd += ", LeadEngineerName";                                  // 主任技術者名
-            strcmd += ", SafetyOfficerCode";                                 // 安全管理者コード
-            strcmd += ", SafetyOfficerName";                                 // 安全管理者名
-            strcmd += ", WorkersCount";                                      // 作業員数
-            strcmd += ", DATE_FORMAT(PrintoutDate, '%Y/%m/%d')";               // 印刷年月日
+            strcmd.Append(", PrePayments");                                       // 前金払
+            strcmd.Append(", PrePaymentsDays");                                   // 前金払日数
+            strcmd.Append(", PrePaymentsPrice");                                  // 前金払金額
+            strcmd.Append(", PartialPayment");                                    // 部分払
+            strcmd.Append(", PartialPaymentMounth");                              // 部分払締切月
+            strcmd.Append(", PartialPaymentDay1");                                // 部分払締切日
+            strcmd.Append(", PartialPaymentDay2");                                // 部分払支払日
+            strcmd.Append(", PartialPaymentPrice");                               // 部分払金額
+            strcmd.Append(", CompletionPayment");                                 // 引渡し時の支払
+            strcmd.Append(", CompletionPaymentDays");                             // 引渡し時の支払日数
+            strcmd.Append(", CompletionPaymentPrice");                            // 引渡し時の支払金額
+            strcmd.Append(", LeadEngineerCode");                                  // 主任技術者コード
+            strcmd.Append(", LeadEngineerName");                                  // 主任技術者名
+            strcmd.Append(", SafetyOfficerCode");                                 // 安全管理者コード
+            strcmd.Append(", SafetyOfficerName");                                 // 安全管理者名
+            strcmd.Append(", WorkersCount");                                      // 作業員数
+            strcmd.Append(", DATE_FORMAT(PrintoutDate, '%Y/%m/%d')");               // 印刷年月日
 
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM PurchaseOrder";
+            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM PurchaseOrder");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -136,16 +137,17 @@
         public bool SelectAction(string AddSQLString, ref List<PurchaseOrder> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                // SQL作成
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -159,7 +161,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -176,16 +178,17 @@
         public bool SelectAction(string AddSQLString, ref PurchaseOrder data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                // SQL作成
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -199,7 +202,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -213,67 +216,67 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(PurchaseOrder work, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
                 bool bColFirst = true;
-                strcmd = "INSERT INTO PurchaseOrder";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO PurchaseOrder");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format(" {0}", work.ConstructionCode);                     // 工事番号
-                strcmd += string.Format(",{0}", work.SeqNo);                                // 注文書枝番
+                strcmd.AppendFormat(" {0}", work.ConstructionCode);                     // 工事番号
+                strcmd.AppendFormat(",{0}", work.SeqNo);                                // 注文書枝番
 
-                strcmd += string.Format(",{0}", work.CompanyCode);                          // 協力会社コード
-                strcmd += string.Format(",STR_TO_DATE('{0}','%Y/%m/%d')",
+                strcmd.AppendFormat(",{0}", work.CompanyCode);                          // 協力会社コード
+                strcmd.AppendFormat(",STR_TO_DATE('{0}','%Y/%m/%d')",
                                                 work.CreateDate.ToShortDateString());       // 作成日付
-                strcmd += string.Format(",{0}", work.OrderPrice);                           // 発注金額
-                strcmd += string.Format(",STR_TO_DATE('{0}','%Y/%m/%d')",
+                strcmd.AppendFormat(",{0}", work.OrderPrice);                           // 発注金額
+                strcmd.AppendFormat(",STR_TO_DATE('{0}','%Y/%m/%d')",
                                                 work.LastRowStringDate.ToShortDateString());// 最終行表示日付
 
-                strcmd += string.Format(",{0}", work.OrderSheetType);                       // 簡易・本式フラグ
-                strcmd += string.Format(",{0}", work.PaymentTerms);                         // 支払い条件
-                strcmd += string.Format(",{0}", work.CashRatio);                            // 現金割合（％）
-                strcmd += string.Format(",{0}", work.BillPeriod);                           // 手形期間
+                strcmd.AppendFormat(",{0}", work.OrderSheetType);                       // 簡易・本式フラグ
+                strcmd.AppendFormat(",{0}", work.PaymentTerms);                         // 支払い条件
+                strcmd.AppendFormat(",{0}", work.CashRatio);                            // 現金割合（％）
+                strcmd.AppendFormat(",{0}", work.BillPeriod);                           // 手形期間
 
-                strcmd += string.Format(",{0}", work.PrePayments);                          // 前金払
-                strcmd += string.Format(",{0}", work.PrePaymentsDays);                      // 前金払日数
-                strcmd += string.Format(",{0}", work.PrePaymentsPrice);                     // 前金払金額
-                strcmd += string.Format(",{0}", work.PartialPayment);                       // 部分払
-                strcmd += string.Format(",{0}", work.PartialPaymentMounth);                 // 部分払締切月
-                strcmd += string.Format(",{0}", work.PartialPaymentDay1);                   // 部分払締切日
-                strcmd += string.Format(",{0}", work.PartialPaymentDay2);                   // 部分払支払日
-                strcmd += string.Format(",{0}", work.PartialPaymentPrice);                  // 部分払金額
-                strcmd += string.Format(",{0}", work.CompletionPayment);                    // 引渡し時の支払
-                strcmd += string.Format(",{0}", work.CompletionPaymentDays);                // 引渡し時の支払日数
-                strcmd += string.Format(",{0}", work.CompletionPaymentPrice);               // 引渡し時の支払金額
-                strcmd += string.Format(",{0}", work.LeadEngineerCode);                     // 主任技術者コード
-                strcmd += string.Format(",'{0}'", work.LeadEngineerName);                   // 主任技術者名
-                strcmd += string.Format(",{0}", work.SafetyOfficerCode);                    // 安全管理者コード
-                strcmd += string.Format(",'{0}'", work.SafetyOfficerName);                  // 安全管理者名
-                strcmd += string.Format(",{0}", work.WorkersCount);                         // 作業員数
-                strcmd += string.Format(",STR_TO_DATE('{0}','%Y/%m/%d')",
+                strcmd.AppendFormat(",{0}", work.PrePayments);                          // 前金払
+                strcmd.AppendFormat(",{0}", work.PrePaymentsDays);                      // 前金払日数
+                strcmd.AppendFormat(",{0}", work.PrePaymentsPrice);                     // 前金払金額
+                strcmd.AppendFormat(",{0}", work.PartialPayment);                       // 部分払
+                strcmd.AppendFormat(",{0}", work.PartialPaymentMounth);                 // 部分払締切月
+                strcmd.AppendFormat(",{0}", work.PartialPaymentDay1);                   // 部分払締切日
+                strcmd.AppendFormat(",{0}", work.PartialPaymentDay2);                   // 部分払支払日
+                strcmd.AppendFormat(",{0}", work.PartialPaymentPrice);                  // 部分払金額
+                strcmd.AppendFormat(",{0}", work.CompletionPayment);                    // 引渡し時の支払
+                strcmd.AppendFormat(",{0}", work.CompletionPaymentDays);                // 引渡し時の支払日数
+                strcmd.AppendFormat(",{0}", work.CompletionPaymentPrice);               // 引渡し時の支払金額
+                strcmd.AppendFormat(",{0}", work.LeadEngineerCode);                     // 主任技術者コード
+                strcmd.AppendFormat(",'{0}'", work.LeadEngineerName);                   // 主任技術者名
+                strcmd.AppendFormat(",{0}", work.SafetyOfficerCode);                    // 安全管理者コード
+                strcmd.AppendFormat(",'{0}'", work.SafetyOfficerName);                  // 安全管理者名
+                strcmd.AppendFormat(",{0}", work.WorkersCount);                         // 作業員数
+                strcmd.AppendFormat(",STR_TO_DATE('{0}','%Y/%m/%d')",
                                                 work.PrintoutDate.ToShortDateString());     // 印刷年月日
 
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -287,74 +290,74 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<PurchaseOrder> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO PurchaseOrder";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO PurchaseOrder");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (PurchaseOrder work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format(" {0}", work.ConstructionCode);                     // 工事番号
-                    strcmd += string.Format(",{0}", work.SeqNo);                                // 注文書枝番
+                    strcmd.AppendFormat(" {0}", work.ConstructionCode);                     // 工事番号
+                    strcmd.AppendFormat(",{0}", work.SeqNo);                                // 注文書枝番
 
-                    strcmd += string.Format(",{0}", work.CompanyCode);                          // 協力会社コード
-                    strcmd += string.Format(",STR_TO_DATE('{0}','%Y/%m/%d')",
+                    strcmd.AppendFormat(",{0}", work.CompanyCode);                          // 協力会社コード
+                    strcmd.AppendFormat(",STR_TO_DATE('{0}','%Y/%m/%d')",
                                                     work.CreateDate.ToShortDateString());       // 作成日付
-                    strcmd += string.Format(",{0}", work.OrderPrice);                           // 発注金額
-                    strcmd += string.Format(",STR_TO_DATE('{0}','%Y/%m/%d')",
+                    strcmd.AppendFormat(",{0}", work.OrderPrice);                           // 発注金額
+                    strcmd.AppendFormat(",STR_TO_DATE('{0}','%Y/%m/%d')",
                                                     work.LastRowStringDate.ToShortDateString());// 最終行表示日付
 
-                    strcmd += string.Format(",{0}", work.OrderSheetType);                       // 簡易・本式フラグ
-                    strcmd += string.Format(",{0}", work.PaymentTerms);                         // 支払い条件
-                    strcmd += string.Format(",{0}", work.CashRatio);                            // 現金割合（％）
-                    strcmd += string.Format(",{0}", work.BillPeriod);                           // 手形期間
+                    strcmd.AppendFormat(",{0}", work.OrderSheetType);                       // 簡易・本式フラグ
+                    strcmd.AppendFormat(",{0}", work.PaymentTerms);                         // 支払い条件
+                    strcmd.AppendFormat(",{0}", work.CashRatio);                            // 現金割合（％）
+                    strcmd.AppendFormat(",{0}", work.BillPeriod);                           // 手形期間
 
-                    strcmd += string.Format(",{0}", work.PrePayments);                          // 前金払
-                    strcmd += string.Format(",{0}", work.PrePaymentsDays);                      // 前金払日数
-                    strcmd += string.Format(",{0}", work.PrePaymentsPrice);                     // 前金払金額
-                    strcmd += string.Format(",{0}", work.PartialPayment);                       // 部分払
-                    strcmd += string.Format(",{0}", work.PartialPaymentMounth);                 // 部分払締切月
-                    strcmd += string.Format(",{0}", work.PartialPaymentDay1);                   // 部分払締切日
-                    strcmd += string.Format(",{0}", work.PartialPaymentDay2);                   // 部分払支払日
-                    strcmd += string.Format(",{0}", work.PartialPaymentPrice);                  // 部分払金額
-                    strcmd += string.Format(",{0}", work.CompletionPayment);                    // 引渡し時の支払
-                    strcmd += string.Format(",{0}", work.CompletionPaymentDays);                // 引渡し時の支払日数
-                    strcmd += string.Format(",{0}", work.CompletionPaymentPrice);               // 引渡し時の支払金額
-                    strcmd += string.Format(",{0}", work.LeadEngineerCode);                     // 主任技術者コード
-                    strcmd += string.Format(",'{0}'", work.LeadEngineerName);                   // 主任技術者名
-                    strcmd += string.Format(",{0}", work.SafetyOfficerCode);                    // 安全管理者コード
-                    strcmd += string.Format(",'{0}'", work.SafetyOfficerName);                  // 安全管理者名
-                    strcmd += string.Format(",{0}", work.WorkersCount);                         // 作業員数
-                    strcmd += string.Format(",STR_TO_DATE('{0}','%Y/%m/%d')",
+                    strcmd.AppendFormat(",{0}", work.PrePayments);                          // 前金払
+                    strcmd.AppendFormat(",{0}", work.PrePaymentsDays);                      // 前金払日数
+                    strcmd.AppendFormat(",{0}", work.PrePaymentsPrice);                     // 前金払金額
+                    strcmd.AppendFormat(",{0}", work.PartialPayment);                       // 部分払
+                    strcmd.AppendFormat(",{0}", work.PartialPaymentMounth);                 // 部分払締切月
+                    strcmd.AppendFormat(",{0}", work.PartialPaymentDay1);                   // 部分払締切日
+                    strcmd.AppendFormat(",{0}", work.PartialPaymentDay2);                   // 部分払支払日
+                    strcmd.AppendFormat(",{0}", work.PartialPaymentPrice);                  // 部分払金額
+                    strcmd.AppendFormat(",{0}", work.CompletionPayment);                    // 引渡し時の支払
+                    strcmd.AppendFormat(",{0}", work.CompletionPaymentDays);                // 引渡し時の支払日数
+                    strcmd.AppendFormat(",{0}", work.CompletionPaymentPrice);               // 引渡し時の支払金額
+                    strcmd.AppendFormat(",{0}", work.LeadEngineerCode);                     // 主任技術者コード
+                    strcmd.AppendFormat(",'{0}'", work.LeadEngineerName);                   // 主任技術者名
+                    strcmd.AppendFormat(",{0}", work.SafetyOfficerCode);                    // 安全管理者コード
+                    strcmd.AppendFormat(",'{0}'", work.SafetyOfficerName);                  // 安全管理者名
+                    strcmd.AppendFormat(",{0}", work.WorkersCount);                         // 作業員数
+                    strcmd.AppendFormat(",STR_TO_DATE('{0}','%Y/%m/%d')",
                                                     work.PrintoutDate.ToShortDateString());     // 印刷年月日
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
